MODULE callkeys_mod
IMPLICIT NONE  

      logical,save :: callrad,corrk,calldifv,UseTurbDiff
!$OMP THREADPRIVATE(callrad,corrk,calldifv,UseTurbDiff)
      logical,save :: calladj,callsoil
!$OMP THREADPRIVATE(calladj,callsoil)
      logical,save :: season,diurnal,tlocked,rings_shadow,lwrite
!$OMP THREADPRIVATE(season,diurnal,tlocked,rings_shadow,lwrite)
      logical,save :: callstats,calleofdump
!$OMP THREADPRIVATE(callstats,calleofdump)
      logical,save :: callgasvis,continuum,graybody
!$OMP THREADPRIVATE(callgasvis,continuum,graybody)
      logical,save :: strictboundcorrk                                     
!$OMP THREADPRIVATE(strictboundcorrk)

      logical,save :: enertest
      logical,save :: nonideal
      logical,save :: meanOLR
      logical,save :: specOLR
!$OMP THREADPRIVATE(enertest,nonideal,meanOLR)
      logical,save :: newtonian
      logical,save :: check_cpp_match
      logical,save :: force_cpp
      logical,save :: testradtimes
      logical,save :: rayleigh
!$OMP THREADPRIVATE(newtonian,check_cpp_match,force_cpp,testradtimes,rayleigh)
      logical,save :: stelbbody
      logical,save :: ozone
      logical,save :: tracer
      logical,save :: mass_redistrib
!$OMP THREADPRIVATE(stelbbody,ozone,tracer,mass_redistrib)
      logical,save :: sedimentation
!$OMP THREADPRIVATE(sedimentation)
      logical,save :: aeroback2lay
!$OMP THREADPRIVATE(aeroback2lay)
      logical,save :: nosurf
      logical,save :: oblate
!$OMP THREADPRIVATE(nosurf,oblate)

      integer,save :: iddist
      integer,save :: iaervar
      integer,save :: iradia
      integer,save :: startype
!$OMP THREADPRIVATE(iddist,iaervar,iradia,startype)

      real,save :: topdustref
      real,save :: Fat1AU
      real,save :: stelTbb
!$OMP THREADPRIVATE(topdustref,Fat1AU,stelTbb)
      real,save :: tplanet
      real,save :: obs_tau_col_tropo
      real,save :: obs_tau_col_strato
!$OMP THREADPRIVATE(tplanet,obs_tau_col_tropo,obs_tau_col_strato)
      real,save :: pres_bottom_tropo
      real,save :: pres_top_tropo
      real,save :: pres_bottom_strato
      real,save :: pres_top_strato
!$OMP THREADPRIVATE(pres_bottom_tropo,pres_top_tropo,pres_bottom_strato,pres_top_strato)
      real,save :: size_tropo
      real,save :: size_strato
      real,save :: satval
!$OMP THREADPRIVATE(size_tropo,size_strato,satval)
      real,save :: pceil
!$OMP THREADPRIVATE(pceil)
      real,save :: tau_relax
      real,save :: intheat
!$OMP THREADPRIVATE(tau_relax,intheat)
      real,save :: flatten
      real,save :: Rmean
      real,save :: J2
      real,save :: MassPlanet
!$OMP THREADPRIVATE(flatten,Rmean,J2,MassPlanet)

      logical,save :: iscallphys=.false.!existence of callphys.def
!$OMP THREADPRIVATE(iscallphys)

END MODULE callkeys_mod
